org.apache.tapestry5.internal.transform

## Class PropertyWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.PropertyWorker

- All Implemented Interfaces:
    ComponentClassTransformWorker2

      public class PropertyWorker
      extends Object
      implements ComponentClassTransformWorker2

  Provides the getter and setter methods. The methods are added as "existing", meaning that field access to them will be transformed as necessary by other annotations. This worker needs to be scheduled before any worker that might delete a field.
  See Also:
    `Property`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyWorker

          public PropertyWorker()

  - ### Method Detail

    - #### transform

          public void transform(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.